# List all membership profiles

To fetch a collection of membership profiles, send a `GET` request to the `/api/membership_profiles` endpoint.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/membership\\_profiles>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches a collection of membership profiles:

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/membership_profiles/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a paginated collection of resource objects:

```javascript
{
  "data": [
    {
      "id": "xYZkjABcde",
      "type": "membership_profiles",
      "links": {
        "self": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde"
      },
      "attributes": {
        "name": "Marketing group",
        "test_enabled": false,
        "access_scope": "live_access",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "organization": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/relationships/organization",
            "related": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/organization"
          }
        },
        "application_memberships": {
          "links": {
            "self": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/relationships/application_memberships",
            "related": "https://provisioning.commercelayer.io/api/membership_profiles/xYZkjABcde/application_memberships"
          }
        }
      }
    },
    {
      "other": "... 9 membership_profiles (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14
  },
  "links": {
    "first": "https://provisioning.commercelayer.io/membership_profiles?page[number]=1&page[size]=10",
    "next": "https://provisioning.commercelayer.io/membership_profiles?page[number]=2&page[size]=10",
    "last": "https://provisioning.commercelayer.io/membership_profiles?page[number]=14&page[size]=10"
  }
}
```

{% endtab %}
{% endtabs %}

Remember that when you fetch a list of resources you get [paginated](https://docs.commercelayer.io/core/pagination) result.

### Sortable fields

The list of membership profiles can be [sorted](https://docs.commercelayer.io/core/sorting-results) by the following fields:

* `name`
* `id`
* `created_at`
* `updated_at`
* `reference`
* `reference_origin`

### Filterable fields

The list of membership profiles can be [filtered](https://docs.commercelayer.io/core/filtering-data) by the following fields:

#### Attributes

* `name`
* `access_scope`
* `id`
* `created_at`
* `updated_at`
* `reference`
* `reference_origin`
* `metadata`

#### Relationships

* `organization`
* `application_memberships`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/provisioning/api-reference/membership_profiles/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
